### Required Parameters ###
#PORT='PPMAC1'
#P='SARFE10-OAPU090'
#powerPmacCreateController(<port_name>, <moving_poll_pseriod [ms]>, <idle_poll_period [ms]>)
#powerPmacCreateController("$(PORT)", 100, 100) <<< done in commom module
###########################
require gpasciiCommander
! $(gpasciiCommander_DIR)/gpasciiCommander --path $(ESB_MX_DIR) $(ESB_MX_DIR)/$(P)2.cfg

powerPmacCreateAxis($(PORT), 1)
powerPmacCreateAxis($(PORT), 2)
powerPmacCreateAxis($(PORT), 3)
powerPmacCreateAxis($(PORT), 4)
powerPmacCreateAxis($(PORT), 5)
powerPmacCreateAxis($(PORT), 6)
#powerPmacCreateAxis($(PORT), 7)
#powerPmacCreateAxis($(PORT), 8)

#powerPmacCreateVirtualAxis(<port_name>, <axis_index>, <coord_sys_index>, <axis_name>,<commaSeparatedMotorIndices)
# !!! COMMENTS AFTER 'powerPmacCreateVirtualAxis("$(PORT)",  9, 1, "X",1)' IS NOT ALLOWED !!!
powerPmacCreateVirtualAxis("$(PORT)", 9 , 1, "X",1,2,3,4)
powerPmacCreateVirtualAxis("$(PORT)", 10, 1, "Y",1,2,3,4)
powerPmacCreateVirtualAxis("$(PORT)", 11, 1, "A",1,2,3,4)
powerPmacCreateVirtualAxis("$(PORT)", 12, 1, "B",1,2,3,4)


# Load databse
dbLoadTemplate("$(ESB_MX_TEMPLATES)/$(P)2.subs", "PORT_M=$(PORT),P_M=$(P)")
